This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 468620 - vino-preferences always shows localhost.localdomain as host name
vino-preferences always shows localhost.localdomain as host name
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: vino (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Søren Sandmann Pedersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-26 15:40 EDT by Alson van der Meulen
Modified: 2014-06-18 05:10 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-12-18 01:39:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Alson van der Meulen 2008-10-26 15:40:30 EDT
Description of problem:
vino-preferences always shows 'vinagre localhost.localdomain:0' as command to connect with your desktop, even though the actual host name is different. It would more useful if it would show the actual host name, or the current IP address (for mobile users).

Version-Release number of selected component (if applicable):
vino-2.24.1-1.fc10.x86_64

How reproducible:
Start vino-preferences, enable 'Allow other users to view your desktop', and observe the suggested command.

Actual results:
vinagre localhost.localdomain:0

Expected results:
vinagre realhostname/IP address:0

Additional info:
Comment 1 Matthias Clasen 2008-11-01 11:49:54 EDT
Is the hostname you want to show up listed in /etc/hosts ?

Doing that made it show up for me.
Comment 2 Alson van der Meulen 2008-11-01 19:18:24 EDT
The hostname seems to be the canonical name for 127.0.0.1 from /etc/hosts. If I add bar.example.com as first entry for 127.0.0.1, it displays that. My current entry looks like:
127.0.0.1 localhost.localdomain localhost wasp.alm.flutnet.org wasp
I think this was generated by anaconda. I don't see anything wrong with this, the hostname is not the canonical name for 127.0.0.1, every *nix system I've seen uses localhost or localhost.somedomain as canonical name for 127.0.0.1.

I'm not sure why it would show the canonical hostname for 127.0.0.1, it's not likely that this hostname is going to help someone else to connect to my system. I think in this case it should take the IP address of the wlan0 interface (the only other interface with an IP address), and optionally do a reverse lookup on this. Not sure what the correct behavior would be with multiple non-loopback interfaces, but I think NetworkManager only enables one interface at a time anyway, so this is probably not a likely scenario for the user who needs help finding his IP address.

The easy, but for many laptop users useless solution would be to use the value of gethostname().
Comment 3 Bug Zapper 2008-11-25 23:16:30 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 4 Bas Mevissen 2008-12-29 09:32:22 EST
What happens if you change the order of the host aliases in /etc/hosts to:

127.0.0.1 host.fqdn host localhost.localdomain localhost

In that case, it should be OK. In the past, it has shown that this order (different from what anaconda does) works the best in all cases.
Comment 5 Bas Mevissen 2009-02-16 11:08:07 EST
What happens is that vino-preferences looks at the hostname. It looks up this hostname in /etc/hosts and takes the first alias.

Example:

1)
hostname foo
/etc/hosts: 127.0.0.1 bar localhost localhost.localdomain
vino-prefences: localhost

2)
hostname foo
/etc/hosts: 127.0.0.1 bar localhost localhost.localdomain foo
vino-prefences: bar
Comment 6 Bug Zapper 2009-11-18 03:38:59 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 7 Bug Zapper 2009-12-18 01:39:16 EST
Fedora 10 changed to end-of-life (EOL) status on 2009-12-17. Fedora 10 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.